Bug 48645 - mail/imp3: upgrading to IMP 3.2.
Summary: mail/imp3: upgrading to IMP 3.2.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-02-24 20:30 UTC by Thierry Thomas
Modified: 2003-03-30 00:50 UTC (History)
0 users

See Also:


Attachments
file.diff (7.29 KB, patch)
2003-02-24 20:30 UTC, Thierry Thomas
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Thierry Thomas 2003-02-24 20:30:06 UTC
	(From ML announce@lists.horde.org)

	Major new changes in this release:

	- Several workarounds for buggy browser behaviour when downloading
	  attachments
	- Warning before a user session times out
	- Allow creation of folder names in other charsets than iso-8859-1
	- New image mime type viewer
	- VFS (Virtual Filesystem) support for attachments in composed messages
	- New translations: Bulgarian, Lithuanian, Romanian, Latvian, Catalan
	- Many bug fixes.

	The full list of changes can be viewed here:
	<http://cvs.horde.org/co.php/imp/docs/CHANGES?r=1.389.2.80>.

Fix: Please apply this patch:

How-To-Repeat: 	N/A.
Comment 1 Thierry Thomas 2003-03-11 22:57:50 UTC
Le Lun 24 fév 03 à 21:28:35 +0100, Thierry Thomas <thierry@pompo.net>
 écrivait :
> 
> >Number:         48645
> >Category:       ports
> >Synopsis:       mail/imp3: upgrading to IMP 3.2.

The following patch upgrades the submitted PR from 3.2 to 3.2.1.
This is a bugfix release fixing several minor but annoying bugs, and
adding a Serbian translation.

Related PR: it must be committed with PR ports/49122 (mail/turba).


diff -urN mail/imp3.orig/Makefile mail/imp3/Makefile
--- mail/imp3.orig/Makefile	Mon Feb 24 21:12:02 2003
+++ mail/imp3/Makefile	Tue Mar 11 23:05:23 2003
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	imp
-PORTVERSION=	3.2
+PORTVERSION=	3.2.1
 CATEGORIES=	mail www
 MASTER_SITES=	ftp://ftp.horde.org/pub/imp/				\
 		ftp://ftp.au.horde.org/pub/horde/imp/			\
@@ -132,7 +132,7 @@
 CONFFILE=	conf.php filter.txt header.txt html.php menu.php \
 		mime_drivers.php motd.php prefs.php servers.php \
 		trailer.txt
-SUB_DIRS=	config graphics lib locale scripts templates po
+SUB_DIRS=	config download graphics lib locale po scripts templates
 
 LHORDEDIR?=	www/horde
 LIMPDIR?=	${LHORDEDIR}/imp
diff -urN mail/imp3.orig/distinfo mail/imp3/distinfo
--- mail/imp3.orig/distinfo	Mon Feb 24 19:11:21 2003
+++ mail/imp3/distinfo	Tue Mar 11 22:48:15 2003
@@ -1 +1 @@
-MD5 (imp-3.2.tar.gz) = f40c9cb7e65516837f08692803f295ea
+MD5 (imp-3.2.1.tar.gz) = 0ab8edfcd1439e52b0f29e84fef0cf54
diff -urN mail/imp3.orig/files/httpd.conf.imp mail/imp3/files/httpd.conf.imp
--- mail/imp3.orig/files/httpd.conf.imp	Wed Dec 12 21:11:20 2001
+++ mail/imp3/files/httpd.conf.imp	Tue Mar 11 23:08:34 2003
@@ -7,6 +7,10 @@
     order deny,allow
     deny from all
 </Directory>
+<Directory "/home/httpd/html/horde/imp/download">
+    order deny,allow
+    deny from all
+</Directory>
 <Directory "/home/httpd/html/horde/imp/lib">
     order deny,allow
     deny from all
diff -urN mail/imp3.orig/pkg-plist mail/imp3/pkg-plist
--- mail/imp3.orig/pkg-plist	Mon Feb 24 20:42:29 2003
+++ mail/imp3/pkg-plist	Tue Mar 11 23:06:56 2003
@@ -28,6 +28,7 @@
 %%IMPDIR%%/config/trailer.txt
 %%IMPDIR%%/config/trailer.txt.dist
 %%IMPDIR%%/contacts.php
+%%IMPDIR%%/download/index.php
 %%IMPDIR%%/filters.php
 %%IMPDIR%%/folders.php
 %%IMPDIR%%/graphics/addressbook-blue.gif
@@ -155,6 +156,7 @@
 %%IMPDIR%%/locale/sk_SK/LC_MESSAGES/imp.mo
 %%IMPDIR%%/locale/sk_SK/help.xml
 %%IMPDIR%%/locale/sl_SI/LC_MESSAGES/imp.mo
+%%IMPDIR%%/locale/sr_YU/LC_MESSAGES/imp.mo
 %%IMPDIR%%/locale/sv_SE/LC_MESSAGES/imp.mo
 %%IMPDIR%%/locale/sv_SE/help.xml
 %%IMPDIR%%/locale/uk_UA/LC_MESSAGES/imp.mo
@@ -200,6 +202,7 @@
 %%IMPDIR%%/po/shtool
 %%IMPDIR%%/po/sk_SK.po
 %%IMPDIR%%/po/sl_SI.po
+%%IMPDIR%%/po/sr_YU.po
 %%IMPDIR%%/po/sv_SE.po
 %%IMPDIR%%/po/uk_UA.po
 %%IMPDIR%%/po/xgettext.sh
@@ -275,6 +278,7 @@
 %%PORTDOCS%%@dirrm share/doc/imp
 etc/horde/httpd.conf.imp
 @dirrm %%IMPDIR%%/config
+@dirrm %%IMPDIR%%/download
 @dirrm %%IMPDIR%%/graphics/folders
 @dirrm %%IMPDIR%%/graphics/mime
 @dirrm %%IMPDIR%%/graphics
@@ -340,6 +344,8 @@
 @dirrm %%IMPDIR%%/locale/sk_SK
 @dirrm %%IMPDIR%%/locale/sl_SI/LC_MESSAGES
 @dirrm %%IMPDIR%%/locale/sl_SI
+@dirrm %%IMPDIR%%/locale/sr_YU/LC_MESSAGES
+@dirrm %%IMPDIR%%/locale/sr_YU
 @dirrm %%IMPDIR%%/locale/sv_SE/LC_MESSAGES
 @dirrm %%IMPDIR%%/locale/sv_SE
 @dirrm %%IMPDIR%%/locale/uk_UA/LC_MESSAGES



-- 
Th. Thomas.
Comment 2 Edwin Groothuis freebsd_committer 2003-03-30 00:49:27 UTC
State Changed
From-To: open->closed

Commited, thanks! 
(could you please make an overview in in with all the options needed 
for PHP so that people don't have to rebuild it four times before 
all necessary features are in?)